Bug 425571 - Recently installed FC8. This error message has occurred 11 times. Dont know if it is important, but it keeps asking me to forward a bug report. Didn't get any such messages with FC6. You help is appreciated.
Recently installed FC8. This error message has occurred 11 times. Dont know...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-14 17:16 EST by david guy
Modified: 2007-12-19 13:28 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-19 13:28:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description david guy 2007-12-14 17:16:41 EST
Description of problem:
SELinux is preventing pppd (pppd_t) "write" to (pppd_etc_t).Detailed
DescriptionSELinux denied access requested by pppd. It is not expected that this
access is required by pppd and this access may signal an intrusion attempt. It
is also possible that the specific version or configuration of the application
is causing it to require additional access.Allowing AccessSometimes labeling
problems can cause SELinux denials. You could try to restore the default system
file context for , restorecon -v If this does not work, there is currently no
automatic way to allow this access. Instead, you can generate a local policy
module to allow this access - see FAQ Or you can disable SELinux protection
altogether. Disabling SELinux protection is not recommended. Please file a bug
report against this package.Additional InformationSource
Context:  system_u:system_r:pppd_t:s0Target
Context:  system_u:object_r:pppd_etc_t:s0Target Objects:  None [ file ]Affected
RPM Packages:  Policy RPM:  selinux-policy-3.0.8-64.fc8Selinux
Enabled:  TruePolicy Type:  targetedMLS Enabled:  TrueEnforcing
Mode:  EnforcingPlugin Name:  plugins.catchall_fileHost
Name:  localhost.localdomainPlatform:  Linux localhost.localdomain
2.6.23.8-63.fc8 #1 SMP Wed Nov 21 18:51:08 EST 2007 i686 i686Alert
Count:  11First Seen:  Thu 22 Nov 2007 02:05:33 PM ESTLast Seen:  Fri 14 Dec
2007 12:05:41 PM ESTLocal ID:  f69d12dc-0f15-4da3-8a46-ee17e2b15223
Raw Audit Messages :avc: denied { write } for comm=pppd dev=dm-0
name=resolv.conf pid=7681 scontext=system_u:system_r:pppd_t:s0 tclass=file
tcontext=system_u:object_r:pppd_etc_t:s0 
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2007-12-17 12:59:10 EST
restorecon -R -v /etc/

Should fix the labeing/

Not sure how this got mislabeled.
Comment 2 david guy 2007-12-18 08:59:18 EST
Thanks for the response Daniel.  I thought that the restorecon was a terminal
command, but the error message indicated that it wasn't, at least on my
system.(In reply to comment #1)
> restorecon -R -v /etc/
> 
> Should fix the labeing/
> 
> Not sure how this got mislabeled.
> 


Note You need to log in before you can comment on or make changes to this bug.